### Function

# Gimp airbrush_default

#### Declaration [src]

    gboolean
    gimp_airbrush_default (
      GimpDrawable* drawable,
      gint num_strokes,
      const gdouble* strokes
    )

#### Description [src]

Paint in the current brush with varying pressure. Paint application is time-dependent.

This tool simulates the use of an airbrush. It is similar to `gimp_airbrush()` except that the pressure is derived from the airbrush tools options box. It the option has not been set the default for the option will be used.

#### Parameters

`drawable` | `GimpDrawable`
| The affected drawable.
| The data is owned by the caller of the function.
`num_strokes` | `gint`
| Number of stroke control points (count each coordinate as 2 points).
`strokes` | An array of `double`
| Array of stroke coordinates: { s1.x, s1.y, s2.x, s2.y, …, sn.x, sn.y }.
| The length of the array is specified in the `num_strokes` argument.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.